﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Origin;
namespace CSharpVS2012
{
    class Program
    {
        static void Main(string[] args)
        {
            object Default = System.Type.Missing;

            Origin.Application originApp = new Origin.Application();
            //new project and create page.
            originApp.NewProject();
            string strPageName = originApp.CreatePage
                             ((int)Origin.PAGETYPES.OPT_WORKSHEET, Default, "", 2);

            //fill column with data
            WorksheetPage wp = originApp.WorksheetPages[strPageName];
            Worksheet wks = (Worksheet)wp.Layers[0];
            wks.Cols = 2;
            Column colA = wks.Columns[0];
            Column colB = wks.Columns[1];
            int[] aa = new int[10];
            double[] bb = new double[10];
            for (int ii = 0; ii < 10; ii++)
            {
                aa[ii] = ii + 1;
                bb[ii] = Math.Sin(aa[ii] / 4.0 * Math.PI);
            }
            colA.SetData(aa);
            colB.SetData(bb);

            //save
            originApp.Save("d:\\CreatedProject.opj");
            //exit and release all COM objects.
            originApp.Exit();

            System.Runtime.InteropServices.Marshal.FinalReleaseComObject(originApp);
        }
    }
}
